Subject: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Alvaro Ramirez <[email-masked]>
Date: Mon, 21 Jul 2025 16:15:42 +0100

> On 21 Jul 2025, at 15:19, Gerd Möllmann <[email-masked]> wrote:
> 
> Alvaro Ramirez <[email-masked]> writes:
> 
>> Alvaro Ramirez <[email-masked]> writes:
>> 
>>> Eli Zaretskii <[email-masked]> writes:
>>> 
>>> Pressing a keyboard shortcut on macOS temporarily enables
>>> dictation for any app, so you can speak and transcribe text into
>>> an Emacs buffer. Attaching demo (speech is muted).
>>> 
>>> [2. video/quicktime; dictation.mov]...
>> 
>> If attachment causes issues, demo can be seen as gif from a browser at
>> https://indieweb.social/@xenodium/114891280426640026
> 
> I've tried with the 0002 patch, and it doesn't seem to work for me. I'm
> running macOS 15.5 on arm64. Dictation works with other applications. In
> emacs -Q GUI, pressing the dictation key produces no reaction; I mean no
> small blue indicator with the microphone symbol appears.

Ah, did you enable ns while configuring? Someone else just managed to apply and confirm https://social.vivaldi.net/@veer66/114891733359274099